Subject: Re: cpu_setup_6xx.S:19:22: ppc_defs.h: No such file or directory

From: Hollis Blanchard <[email-masked]>
Date: Thu, 15 Jan 2004 19:25:23 +0000

On Thursday 15 January 2004 17:16, Matthew S. McClintock wrote:
> On Wed, 2004-01-14 at 19:54, Benjamin Herrenschmidt wrote:
> >
> > If it's not created for you, then something is wrong in your build
> > process, or you source tree contains crap or whatever. It definitely
> > works fine with the upstream sources.
>
> Well it is from the same kernel tree and same config, I just copy it
> because sometimes the current tree does not make that file correctly. I
> don't know what else to do, does anyone have any idea why my tree is not
> building this file every time correctly in the first place?

Just a guess, but I don't think 2.4 trees work perfectly with parallel builds
(make -jN). It could be that one build needs ppc_defs.h before the other has
created it yet.

--
Hollis Blanchard
IBM Linux Technology Center

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/